Skip to main content
GET
/
execution
/
balances
Get balances
curl --request GET \
  --url https://api.agg.market/execution/balances \
  --header 'Authorization: Bearer <token>' \
  --header 'x-app-id: <api-key>'
{
  "cash": [
    {
      "tokenSymbol": "<string>",
      "totalRaw": "<string>",
      "decimals": 123,
      "chains": [
        {
          "chainId": 123,
          "tokenAddress": "<string>",
          "balanceRaw": "<string>",
          "lastSyncedAt": "<string>"
        }
      ]
    }
  ],
  "positions": [
    {
      "venue": "kalshi",
      "balance": 123
    }
  ]
}

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Authorization
string
header
required

JWT access token returned by POST /auth/verify. Required for user-tier routes.

Response

200

cash
object[]
required
positions
object[]
required